org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardEditorRange<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardEditorRange<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  HierarchyWizard.HierarchyWizardView

    public class HierarchyWizardEditorRange<T>
    extends java.lang.Object
    implements HierarchyWizard.HierarchyWizardView

Editor for ranges.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardEditorRange(org.eclipse.swt.widgets.Composite parent, HierarchyWizardModelGrouping<T> model, boolean lower)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `update()` Update.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HierarchyWizardEditorRange

    public HierarchyWizardEditorRange(org.eclipse.swt.widgets.Composite parent,
                                      HierarchyWizardModelGrouping<T> model,
                                      boolean lower)

Creates a new instance.

Parameters:
  `parent` -
  `model` -
  `lower` -

### Method Detail

#### update

    public void update()

Description copied from interface: `HierarchyWizard.HierarchyWizardView`
Update.

Specified by:
  `update` in interface `HierarchyWizard.HierarchyWizardView`